> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get detailed information about an SSH Host Certificate




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml get /ssh_host_certificates/{id}
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /ssh_host_certificates/{id}:
    get:
      tags:
        - SSHHostCertificates
      summary: Get
      description: |
        Get detailed information about an SSH Host Certificate
      operationId: SshHostCertificatesGet
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: id
          description: |
            a resource identifier
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: |
            Get detailed information about an SSH Host Certificate
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SSHHostCertificate'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    SSHHostCertificate:
      type: object
      properties:
        id:
          description: |
            unique identifier for this SSH Host Certificate
          type: string
        uri:
          description: |
            URI of the SSH Host Certificate API resource
          type: string
        created_at:
          description: >
            timestamp when the SSH Host Certificate API resource was created,
            RFC 3339 format
          type: string
        description:
          description: >
            human-readable description of this SSH Host Certificate. optional,
            max 255 bytes.
          type: string
        metadata:
          description: >
            arbitrary user-defined machine-readable data of this SSH Host
            Certificate. optional, max 4096 bytes.
          type: string
        public_key:
          description: >
            a public key in OpenSSH Authorized Keys format that this certificate
            signs
          type: string
        key_type:
          description: |
            the key type of the `public_key`, one of `rsa`, `ecdsa` or `ed25519`
          type: string
        ssh_certificate_authority_id:
          description: >
            the ssh certificate authority that is used to sign this ssh host
            certificate
          type: string
        principals:
          description: >
            the list of principals included in the ssh host certificate. This is
            the list of hostnames and/or IP addresses that are authorized to
            serve SSH traffic with this certificate. Dangerously, if no
            principals are specified, this certificate is considered valid for
            all hosts.
          type: array
          items:
            type: string
        valid_after:
          description: >
            the time when the ssh host certificate becomes valid, in RFC 3339
            format.
          type: string
        valid_until:
          description: >
            the time after which the ssh host certificate becomes invalid, in
            RFC 3339 format. the OpenSSH certificates RFC calls this
            `valid_before`.
          type: string
        certificate:
          description: >
            the signed SSH certificate in OpenSSH Authorized Keys format. this
            value should be placed in a `-cert.pub` certificate file on disk
            that should be referenced in your `sshd_config` configuration file
            with a `HostCertificate` directive
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````